## flashlight-extra-gtk 0.1

=== Makefile ===
all: flashlight-extra-gtk

flashlight-extra-gtk: flashlight-extra-gtk.vala
	valac --pkg hildon-1 --pkg dbus-glib-1 --pkg posix $^

clean:
	rm -f flashlight-extra-gtk

install: flashlight-extra-gtk
	cp flashlight-extra-gtk $(DESTDIR)/usr/bin/
	cp event $(DESTDIR)/etc/event.d/flashlight-extra-gtk

=== debian/changelog ===
flashlight-extra-gtk (0.1) unstable; urgency=low

  * Initial release

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  22 Jan 2011 20:39:00 +0300

=== debian/control ===
Source: flashlight-extra-gtk
Section: user/desktop
Priority: extra
Maintainer: Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>
Build-Depends: debhelper (>= 5), vala, libhildon1-dev, libdbus-glib-1-dev
Standards-Version: 2.0

Package: flashlight-extra-gtk
Section: user/desktop
Architecture: any
Depends: ${shlibs:Depends}, flashlight-applet (>=0.4-3)
Conflicts: flashlight-extra
Description: Use camera cover to choose between Flashlight and Camera
 Flashlight-Extra analog using GTK instead of Qt
XB-Maemo-Display-Name: Flashlight-Extra GTK

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make clean

	dh_clean


build:
	dh_testdir

	make


install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make DESTDIR=$(CURDIR)/debian/flashlight-extra-gtk install


binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch

.PHONY: clean build install build-indep binary-arch binary

## flashlight-extra-gtk 0.2

=== debian/changelog ===
flashlight-extra-gtk (0.2) unstable; urgency=low

  * postinst

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  22 Jan 2011 21:21:00 +0300
